Subject: printing utf

From: [email-masked] (Steve_Kilbane)
Date: Wed, 6 Oct 1993 09:26:11 -0400

ok, so i've got sam and 9term running with the utf fonts - having produced
some files with utf in them, any idea how i'd print them on a postscript
printer..?

[ this is probably a dumb question, but then it took me 2.5 hours last night
just to get the X fonts installed. sigh. ]

steve

---

From: [email-masked] (James Matthew Farrow)
Date: Thu, 7 Oct 1993 00:15:02 -0400

Date:	Wed, 6 Oct 1993 09:26:11 -0400
    From:	[email-masked] (Steve_Kilbane)
    Message-Id: <[email-masked]>
    To:	[email-masked]
    Subject: printing utf
    X-Sun-Charset: US-ASCII
    Content-Length: 287
    
    ok, so i've got sam and 9term running with the utf fonts - having
    produced some files with utf in them, any idea how i'd print them
    on a postscript printer..?

    [ this is probably a dumb question, but then it took me 2.5 hours
    last night just to get the X fonts installed. sigh. ]

    steve

Currently to print I am doing two things.  I have a latin1 `device'
for troff which uses ISOLatin1Encoding for PostScript fonts rather than
the Adobe StandardEndcoding.  I have a filter which reads utf files
and can produce plain ascii approximations (`;-)' for `☺' (a smiley)
for example) or troff codes when asked, so `→' (that's a right arrow)
becomes `\(->').  It's a hack, but hey, it gets Welsh poetry printed
with wcirumflex and ycircumflex!

I can make this available but it's written using bio at the moment
and I can't release that so I'd have to rewrite it.  I also want a
more general solution to the problems `unutf' tackles.  I originally
intended it for use in our department here as a MIME decoder for
utf-2 so the members of our department without 9terms could handle
utf-2 mail.

A more general solution again I've thought about but requires a
rethinking to some extent of the tools people use when printing.

To handle the printing of utf-2 strings in PostScript you'd need
something to decode the encoding at the PostScript level if you want
to include them in the strings themselves, perhaps something akin to
`(general utf string) utfshow'.

					Matty.
--
James Matthew Farrow                    | "For in that moment I beheld the ruin
[email-masked]                       | of my existence.  My world fell dark
Basser Department of Computer Science   | and my life became a shallow dream.
Sydney University - FAX: +61 2 692 3838 | `Odi et amo. Excrucior.'" - Tlindah